import { SimpleLocalIntegration } from '../../core/index.js';
import { ZoneminderConfigFlow } from './zoneminder.classes.configflow.js';
import { createZoneminderDiscoveryDescriptor } from './zoneminder.discovery.js';
import type { IZoneminderConfig } from './zoneminder.types.js';
import { zoneminderDomain, zoneminderProfile } from './zoneminder.types.js';

export class ZoneminderIntegration extends SimpleLocalIntegration<IZoneminderConfig> {
  public readonly domain = zoneminderDomain;
  public readonly discoveryDescriptor = createZoneminderDiscoveryDescriptor();
  public readonly configFlow = new ZoneminderConfigFlow();

  constructor() {
    super(zoneminderProfile);
  }
}

export class HomeAssistantZoneminderIntegration extends ZoneminderIntegration {}
